"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatExpressPathFilter = exports.formatExpressPath = void 0;
/**
 * This function formats the path of an operation to an express path.
 * @param path The path of the operation.
 * @returns A valid express path.
 */
function formatExpressPath(path) {
    return path.replace(/\{(.*?)\}/g, ':$1');
}
exports.formatExpressPath = formatExpressPath;
exports.formatExpressPathFilter = {
    name: 'formatExpressPath',
    function: formatExpressPath,
};
//# sourceMappingURL=formatExpressPath.js.map