import { generateTyping } from '../typing';
export function handleOneOf(schema, comment, options) {
    const typeDeclarations = [];
    let dependencies = [];
    for (const subschema of schema.oneOf ?? []) {
        const td = generateTyping(subschema, options);
        typeDeclarations.push(td.typeDeclaration);
        dependencies = dependencies.concat(td.typeDependencies);
    }
    return {
        typeDeclaration: typeDeclarations.join(' | '),
        typeDependencies: dependencies,
        comment: comment,
    };
}
//# sourceMappingURL=oneOf.js.map